Bug 188829 - CVE-2006-1732 cross-site scripting through window.controllers
CVE-2006-1732 cross-site scripting through window.controllers
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 23:27 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-27 08:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:27:39 EDT
cross-site scripting through window.controllers

shutdown demonstrated how to use the window.controllers array to bypass
same-origin protections, allowing a malicious site to inject script into
content from another site. This could allow the malicious page to steal
information such as cookies or passwords from the other site, or perform
transactions on the user's behalf if the user were already logged in.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.


Disable JavaScript until you can upgrade to a version containing the fix.



This issue also affects FC4
Comment 1 Josh Bressers 2006-04-27 08:57:06 EDT
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4

Note You need to log in before you can comment on or make changes to this bug.